- Reference (v1)
- Certificates
- Zertifikate anlegen/upgraden
Version: API v1
Zertifikate anlegen/upgraden
POST/v1/accounts/{accountIdentifier}/certificates
API version
v1
Request method
POST
Operation ID
createOrUpgradeCertificates
Legt ein neues Zertifikat an oder upgraded ein bestehendes
Request
- accountIdentifierstringrequired
Name oder ID eines Accounts
Format
application/json
- articleintegerrequired
Die Artikelnummer für alle neuen Zertifikate, 9556 für Let's Encrypt
- domainsarray of stringrequired
- Array[
Vollständiger Name der gewünschten Domain
- *string
Vollständiger Name der gewünschten Domain
]
Content-Type: application/json
{
"article": 123,
"domains": [
"string"
]
}
{
"required": [
"article",
"domains"
],
"type": "object",
"properties": {
"article": {
"type": "integer",
"description": "Die Artikelnummer für alle neuen Zertifikate, 9556 für Let's Encrypt\n"
},
"domains": {
"type": "array",
"items": {
"type": "string",
"description": "Vollständiger Name der gewünschten Domain"
}
}
}
}
Responses
Format
application/json
Description
Zertifikatupgrades erfolgreich angestoßen für gefundene Domains
- foundarray of string
- Array[
- *string
]
- notFoundarray of string
- Array[
- *string
]
Content-Type: application/json
{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
Format
application/json
Description
Zertifikaterstellungen angestoßen für gefundene Domains
- foundarray of string
- Array[
- *string
]
- notFoundarray of string
- Array[
- *string
]
Content-Type: application/json
{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
Format
application/json
Description
Zertifikatupgrades und -erstellungen erfolgreich angestoßen für gefundene Domains
- foundarray of string
- Array[
- *string
]
- notFoundarray of string
- Array[
- *string
]
Content-Type: application/json
{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
Format
application/json
Description
Ungültige Anfrage. Dies kann beispielsweise geschehen, wenn die Anfrage ungültig codierte Inhalte enthält oder der Inhalt semantisch inkorrekt ist.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Error",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Usage examples
$ curl \
--fail \
--location \
-X POST \
-d '{"article":123,"domains":["string"]}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/accounts/string/certificates